gnutls_pubkey_get_spki(3)

NAME
gnutls_pubkey_get_spki - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_get_spki(gnutls_pubkey_t pubkey, gnutls_x509_spki_t spki, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t pubkey
    a public key of type gnutls_pubkey_t

gnutls_x509_spki_t spki
    a SubjectPublicKeyInfo structure of type gnutls_pubkey_spki_t

unsigned int flags
    must be zero

DESCRIPTION
This function will return the public key information if available. The provided spki must be initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/